Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1606693 - wlroots: FTBFS in Fedora rawhide
Summary: wlroots: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: wlroots
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Pokorný [poki]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 21:13 UTC by Mohan Boddu
Modified: 2018-11-01 20:14 UTC (History)
2 users (show)

Fixed In Version: wlroots-0.1-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-01 20:14:22 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 21:13 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 21:13 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 21:13 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 21:13:12 UTC
wlroots failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28239639


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix wlroots at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
wlroots will be orphaned. Before branching of Fedora 30,
wlroots will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 21:13:18 UTC
Created attachment 1468983 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Mohan Boddu 2018-07-20 21:13:21 UTC
Created attachment 1468984 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 21:13:27 UTC
Created attachment 1468985 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 08:48:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Jan Pokorný [poki] 2018-10-31 23:26:57 UTC
Asked Björn for co-maintenance of the package, I believe I have
a working solution (for newer version that I want to bring as an
update, but the gist is the same I believe).

Comment 6 Jan Pokorný [poki] 2018-11-01 20:14:22 UTC
Asked for package adoption: https://pagure.io/releng/issue/7901
+
consequently updated the package to new version 0.1 for Rawhide:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1158154


Note You need to log in before you can comment on or make changes to this bug.